#!/usr/bin/env bash

function build() {
    cd gdextension || exit
    scons -j 12
    return 1
}

function build_db() {
    cd gdextension || exit
    scons --clean
    bear -- scons -j 12
    ln -s compile_commands.json ../
    return 1
}

while getopts "bdh:" flag; do
    case "$flag" in
        d) build_db ;;
        b) build ;;
        h) echo "Use -b for build or -d for generating a compile_commands.json" ;;
        ?)
            echo "script usage: $(basename \$0) [-b] [-d] [-h]" >&2
            exit 1
            ;;
    esac
done
